<?xml version="1.0" encoding="utf-8"?>
<!-- Generated by PRONEXUS WORKS -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:roleRef xlink:type="simple" roleURI="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2024-11-01/jppfs_rt_2024-11-01.xsd#rol_CTELabel" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E30898-000_2025-12-31_01_2026-03-26.xsd#jpcrp030000-asr_E30898-000_NotesRegardingFinancialCovenantClausesTextBlock" xlink:label="NotesRegardingFinancialCovenantClausesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E30898-000_2025-12-31_01_2026-03-26.xsd#jpcrp030000-asr_E30898-000_HOURLYLABOURCOSTSSGA" xlink:label="HOURLYLABOURCOSTSSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E30898-000_2025-12-31_01_2026-03-26.xsd#jpcrp030000-asr_E30898-000_SupliesSGA" xlink:label="SupliesSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E30898-000_2025-12-31_01_2026-03-26.xsd#jpcrp030000-asr_E30898-000_LossOnArrangeStoresEL" xlink:label="LossOnArrangeStoresEL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E30898-000_2025-12-31_01_2026-03-26.xsd#jpcrp030000-asr_E30898-000_SaseMorioMember" xlink:label="SaseMorioMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E30898-000_2025-12-31_01_2026-03-26.xsd#jpcrp030000-asr_E30898-000_OginoSatoshiMember" xlink:label="OginoSatoshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E30898-000_2025-12-31_01_2026-03-26.xsd#jpcrp030000-asr_E30898-000_MutohYasushiMember" xlink:label="MutohYasushiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E30898-000_2025-12-31_01_2026-03-26.xsd#jpcrp030000-asr_E30898-000_YoshiyukiUchidaMember" xlink:label="YoshiyukiUchidaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E30898-000_2025-12-31_01_2026-03-26.xsd#jpcrp030000-asr_E30898-000_RyujiFukudaMember" xlink:label="RyujiFukudaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E30898-000_2025-12-31_01_2026-03-26.xsd#jpcrp030000-asr_E30898-000_YasunoriAibaMember" xlink:label="YasunoriAibaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E30898-000_2025-12-31_01_2026-03-26.xsd#jpcrp030000-asr_E30898-000_MinakiYasuyukiMember" xlink:label="MinakiYasuyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E30898-000_2025-12-31_01_2026-03-26.xsd#jpcrp030000-asr_E30898-000_TerayamaAkihideMember" xlink:label="TerayamaAkihideMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E30898-000_2025-12-31_01_2026-03-26.xsd#jpcrp030000-asr_E30898-000_ImonTatsutoMember" xlink:label="ImonTatsutoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E30898-000_2025-12-31_01_2026-03-26.xsd#jpcrp030000-asr_E30898-000_FoodAndRestaurantReportableSegmentMember" xlink:label="FoodAndRestaurantReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E30898-000_2025-12-31_01_2026-03-26.xsd#jpcrp030000-asr_E30898-000_ResortReportableSegmentMember" xlink:label="ResortReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E30898-000_2025-12-31_01_2026-03-26.xsd#jpcrp030000-asr_E30898-000_GoodsSalesReportableSegmentMember" xlink:label="GoodsSalesReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E30898-000_2025-12-31_01_2026-03-26.xsd#jpcrp030000-asr_E30898-000_ChibaSeiichiMember" xlink:label="ChibaSeiichiMember" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2024-11-01/jppfs_cor_2024-11-01.xsd#jppfs_cor_DepreciationAndAmortizationOpeCF" xlink:label="DepreciationAndAmortizationOpeCF" />
    <link:label xlink:type="resource" xlink:label="label_DepreciationAndAmortizationOpeCF" xml:lang="ja" xlink:role="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label" id="label_DepreciationAndAmortizationOpeCF">減価償却及びその他の償却費</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DepreciationAndAmortizationOpeCF" xlink:to="label_DepreciationAndAmortizationOpeCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2024-11-01/jppfs_cor_2024-11-01.xsd#jppfs_cor_IncomeTaxesPaidOpeCF" xlink:label="IncomeTaxesPaidOpeCF" />
    <link:label xlink:type="resource" xlink:label="label_IncomeTaxesPaidOpeCF" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/positiveLabel" id="label_IncomeTaxesPaidOpeCF">法人税等の支払額又は還付額（△は支払）</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncomeTaxesPaidOpeCF" xlink:to="label_IncomeTaxesPaidOpeCF" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingFinancialCovenantClausesTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingFinancialCovenantClausesTextBlock">財務制限条項に関する注記</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingFinancialCovenantClausesTextBlock" xlink:to="label_NotesRegardingFinancialCovenantClausesTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingFinancialCovenantClausesTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingFinancialCovenantClausesTextBlock_2">財務制限条項に関する注記 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingFinancialCovenantClausesTextBlock" xlink:to="label_NotesRegardingFinancialCovenantClausesTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_LossOnArrangeStoresEL" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_LossOnArrangeStoresEL">店舗整理損失</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnArrangeStoresEL" xlink:to="label_LossOnArrangeStoresEL" />
    <link:label xlink:type="resource" xlink:label="label_LossOnArrangeStoresEL_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_LossOnArrangeStoresEL_2">店舗整理損失、特別損失</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnArrangeStoresEL" xlink:to="label_LossOnArrangeStoresEL_2" />
    <link:label xlink:type="resource" xlink:label="label_HOURLYLABOURCOSTSSGA" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_HOURLYLABOURCOSTSSGA">パート社員給与</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HOURLYLABOURCOSTSSGA" xlink:to="label_HOURLYLABOURCOSTSSGA" />
    <link:label xlink:type="resource" xlink:label="label_HOURLYLABOURCOSTSSGA_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_HOURLYLABOURCOSTSSGA_2">パート社員給与、販売費及び一般管理費</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HOURLYLABOURCOSTSSGA" xlink:to="label_HOURLYLABOURCOSTSSGA_2" />
    <link:label xlink:type="resource" xlink:label="label_SupliesSGA_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SupliesSGA_2">備品消耗品費</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SupliesSGA" xlink:to="label_SupliesSGA_2" />
    <link:label xlink:type="resource" xlink:label="label_SupliesSGA" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SupliesSGA">備品消耗品費、販売費及び一般管理費</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SupliesSGA" xlink:to="label_SupliesSGA" />
    <link:label xlink:type="resource" xlink:label="label_FoodAndRestaurantReportableSegmentMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_FoodAndRestaurantReportableSegmentMember">飲食事業</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FoodAndRestaurantReportableSegmentMember" xlink:to="label_FoodAndRestaurantReportableSegmentMember" />
    <link:label xlink:type="resource" xlink:label="label_FoodAndRestaurantReportableSegmentMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_FoodAndRestaurantReportableSegmentMember_2">飲食事業、報告セグメント [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FoodAndRestaurantReportableSegmentMember" xlink:to="label_FoodAndRestaurantReportableSegmentMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ResortReportableSegmentMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ResortReportableSegmentMember">リゾート事業</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ResortReportableSegmentMember" xlink:to="label_ResortReportableSegmentMember" />
    <link:label xlink:type="resource" xlink:label="label_ResortReportableSegmentMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ResortReportableSegmentMember_2">リゾート事業、報告セグメント [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ResortReportableSegmentMember" xlink:to="label_ResortReportableSegmentMember_2" />
    <link:label xlink:type="resource" xlink:label="label_GoodsSalesReportableSegmentMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GoodsSalesReportableSegmentMember">製販事業</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GoodsSalesReportableSegmentMember" xlink:to="label_GoodsSalesReportableSegmentMember" />
    <link:label xlink:type="resource" xlink:label="label_GoodsSalesReportableSegmentMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GoodsSalesReportableSegmentMember_2">製販事業、報告セグメント [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GoodsSalesReportableSegmentMember" xlink:to="label_GoodsSalesReportableSegmentMember_2" />
    <link:label xlink:type="resource" xlink:label="label_SaseMorioMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SaseMorioMember">佐瀬　守男 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SaseMorioMember" xlink:to="label_SaseMorioMember" />
    <link:label xlink:type="resource" xlink:label="label_SaseMorioMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SaseMorioMember_2">佐瀬　守男</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SaseMorioMember" xlink:to="label_SaseMorioMember_2" />
    <link:label xlink:type="resource" xlink:label="label_OginoSatoshiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OginoSatoshiMember">荻野　哲 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OginoSatoshiMember" xlink:to="label_OginoSatoshiMember" />
    <link:label xlink:type="resource" xlink:label="label_OginoSatoshiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OginoSatoshiMember_2">荻野　哲</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OginoSatoshiMember" xlink:to="label_OginoSatoshiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MutohYasushiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MutohYasushiMember">武藤　靖</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MutohYasushiMember" xlink:to="label_MutohYasushiMember" />
    <link:label xlink:type="resource" xlink:label="label_MutohYasushiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MutohYasushiMember_2">武藤　靖[メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MutohYasushiMember" xlink:to="label_MutohYasushiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_YoshiyukiUchidaMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_YoshiyukiUchidaMember">内田　善行</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YoshiyukiUchidaMember" xlink:to="label_YoshiyukiUchidaMember" />
    <link:label xlink:type="resource" xlink:label="label_YoshiyukiUchidaMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_YoshiyukiUchidaMember_2">内田　善行 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YoshiyukiUchidaMember" xlink:to="label_YoshiyukiUchidaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_RyujiFukudaMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RyujiFukudaMember">福田　龍二</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RyujiFukudaMember" xlink:to="label_RyujiFukudaMember" />
    <link:label xlink:type="resource" xlink:label="label_RyujiFukudaMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RyujiFukudaMember_2">福田　龍二 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RyujiFukudaMember" xlink:to="label_RyujiFukudaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_YasunoriAibaMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_YasunoriAibaMember">相場　康則</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YasunoriAibaMember" xlink:to="label_YasunoriAibaMember" />
    <link:label xlink:type="resource" xlink:label="label_YasunoriAibaMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_YasunoriAibaMember_2">相場　康則 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YasunoriAibaMember" xlink:to="label_YasunoriAibaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ChibaSeiichiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ChibaSeiichiMember">千葉　清一</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChibaSeiichiMember" xlink:to="label_ChibaSeiichiMember" />
    <link:label xlink:type="resource" xlink:label="label_ChibaSeiichiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ChibaSeiichiMember_2">千葉　清一 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChibaSeiichiMember" xlink:to="label_ChibaSeiichiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MinakiYasuyukiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MinakiYasuyukiMember">皆木　康之 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MinakiYasuyukiMember" xlink:to="label_MinakiYasuyukiMember" />
    <link:label xlink:type="resource" xlink:label="label_MinakiYasuyukiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MinakiYasuyukiMember_2">皆木　康之</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MinakiYasuyukiMember" xlink:to="label_MinakiYasuyukiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TerayamaAkihideMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TerayamaAkihideMember">寺山　昭英 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TerayamaAkihideMember" xlink:to="label_TerayamaAkihideMember" />
    <link:label xlink:type="resource" xlink:label="label_TerayamaAkihideMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TerayamaAkihideMember_2">寺山　昭英</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TerayamaAkihideMember" xlink:to="label_TerayamaAkihideMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ImonTatsutoMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ImonTatsutoMember">井門　達人 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ImonTatsutoMember" xlink:to="label_ImonTatsutoMember" />
    <link:label xlink:type="resource" xlink:label="label_ImonTatsutoMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ImonTatsutoMember_2">井門　達人</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ImonTatsutoMember" xlink:to="label_ImonTatsutoMember_2" />
  </link:labelLink>
</link:linkbase>